查看外部 Collection 刷新任务 (V2)
This operation returns the current state and progress of a single external-collection refresh job, identified by jobId.
POST/v2/vectordb/jobs/external_collection/describe
该 API 的 Base URL 格式如下:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘说明
- 如果您使用的是服务集群,请使用集群端点。
Free 与 Serverless 版
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated 版
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
jobIdinteger<int64>必填项
要查询的刷新任务 ID。该值可通过 refresh 接口的返回结果获取。
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/external_collection/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": 449503829274509300
}'
响应200 - application/json
codeinteger
响应码。
示例值:0
dataobject
响应负载,描述该刷新任务的详情。
jobIdinteger<int64>
刷新任务的 ID。
collectionNamestring
该刷新任务关联的外部 Collection 名称。
statestring
刷新任务的当前状态。
progressinteger
刷新进度百分比(0-100)。
externalSourcestring
本任务所使用的外部数据源 JSON 配置。Zilliz Cloud Volume 中的对象 URL 适用。
startTimeinteger<int64>
刷新任务的开始时间(Unix 时间戳)。
endTimeinteger<int64>
刷新任务的结束时间(Unix 时间戳);任务仍在进行中时为 0。
reasonstring
失败原因。仅当 state 为 RefreshFailed 时返回。
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"data": {
"jobId": 449503829274509300,
"collectionName": "ext_books",
"state": "RefreshInProgress",
"progress": 42,
"externalSource": "{\"type\":\"volume\",\"path\":\"volume://my-volume/books\"}",
"startTime": 1712832000000,
"endTime": 0
}
}